#==============================================================================
# package      DE_EPAGES::CMS::Hooks::Category
# state        private
#==============================================================================
package DE_EPAGES::CMS::Hooks::Category;

use strict;
use DE_EPAGES::Object::API::Factory qw (LoadClassByAlias);

#========================================================================================
# function     CategoryFiltering
# state        public
#----------------------------------------------------------------------------------------
# syntax       CategoryFiltering( $hParams );
#----------------------------------------------------------------------------------------
# description  CategoryFiltering is triggered to remove the start page (category root node)
#               from the result list of the product - category assignment
#----------------------------------------------------------------------------------------
# input        $hParams | hook arguments, used keys are
#               <ul>
#                   <li>Shop
#                   <li>BlackListedClassIDs
#               </ul> | ref.hash.*
#========================================================================================
sub CategoryFiltering {
  my ($hParams) = @_;
  my $Shop      = $hParams->{'Shop'};

  return unless $Shop->get('FeatureMaxValue')->{'eCMS'};
  
  my $StartPageClassID = LoadClassByAlias('StartPage')->id;
  push @{$hParams->{'BlackListedClassIDs'}}, $StartPageClassID;

  return;
}

1;
