#========================================================================================
# package      DE_EPAGES::CMS::Hooks::ShopWizard
# state        public
# description  Hook functions for shop wizard.
#========================================================================================
package DE_EPAGES::CMS::Hooks::ShopWizard;

use DE_EPAGES::Object::API::Factory qw (LoadObjectByPath);

use strict;

sub OnBeforeShopWizard{
    my ($hParams) = @_;
    my $Servlet   = $hParams->{'Servlet'};
    my $Shop      = $hParams->{'Shop'};

    my $StyleTemplateID = GetStyleTemplateID();

    return unless $Shop->get('FeatureMaxValue')->{'eCMS'};

    $Servlet->vars('StyleTemplate',$StyleTemplateID);

    return;
}

sub OnBeforePreviewShown {
  my ($hInfo) = @_;

  return unless $hInfo->{'Shop'}->get('FeatureMaxValue')->{'eCMS'};

  $hInfo->{'hookCondition'} = 0;

  return;
}

sub GetStyleTemplateID {
  # load 'Minimal' style to ensure a visually clean checkout
  return LoadObjectByPath('/StyleTemplates/Minimal')->id;
}

1;
