#==============================================================================
# package      DE_EPAGES::CMS::UI::Category
# state        private
#==============================================================================
package DE_EPAGES::CMS::UI::Category;
use base DE_EPAGES::Content::UI::ContentObject;
use strict;

use DE_EPAGES::CMS::API::Object::PagerChildren;

#========================================================================================
# function     ViewPagedChildren
# state        private
#----------------------------------------------------------------------------------------
# syntax       $hVars = $Handler->ViewPagedChildren( $Servlet );
#----------------------------------------------------------------------------------------
# description  Creates a pager for child objects of $Servlet->object.
#               The default sort order is by Position, ascending.
#----------------------------------------------------------------------------------------
# input        $Servlet | current servlet (contains form data) | object
# return       $hVars | TLE variables for 'Pager' | ref.hash
#========================================================================================
sub ViewPagedChildren {
    my $self = shift;
    my ($Servlet) = @_;

    my $Pager = DE_EPAGES::CMS::API::Object::PagerChildren->new({
        'Servlet' => $Servlet,
        'Object' => $Servlet->object
    });

    if (defined $Servlet->params('JumpToObjectID')){
        my $Page = $Pager->pageOfItemByObjectID($Servlet->params('JumpToObjectID'));
        $Pager->set({'Page' => $Page}) if defined $Page;
    }

    return $Pager->page;
}

1;
