#==============================================================================
# package      DE_EPAGES::Design::API::Constants
# state        private
#==============================================================================
package DE_EPAGES::Design::API::Constants;
use base Exporter;

use strict;
use Readonly;

our @EXPORT_OK = qw(
    CUSTOMIZABLE_BUTTONS
    @KNOWN_ICONSETS_IN_DISPLAY_ORDER
);


#========================================================================================
# global       CUSTOMIZABLE_BUTTONS | hash of the attribute json structure
#                                       for the customizable buttons.
#                       | hash.ref of attribute names
#========================================================================================
use constant CUSTOMIZABLE_BUTTONS => {
    'Font' => [
        {'Name' => 'Color', 'Type'=>'string','Mandatory' => 1},
        {'Name' => 'Size', 'Type' => 'integer', 'Mandatory' => 1, 'MinValue' => 10, 'MaxValue' => 20}
    ],
    'Border' => [
        {'Name' => 'Color', 'Type' => 'string','Mandatory' => 1},
        {'Name' => 'Radius', 'Type' => 'integer', 'Mandatory' => 1,'MinValue' => 0, 'MaxValue' => 40}
    ],
    'Gradient' => [
        {'Name' => 'Color1', 'Type' => 'string','Mandatory' => 1},
        {'Name' => 'Color2', 'Type' => 'string','Mandatory' => 1}
    ],
    'Padding' => [
        {'Name' => 'Width', 'Type' => 'integer', 'Mandatory' => 1, 'MinValue' => 5, 'MaxValue' => 25},
        {'Name' => 'Height', 'Type' => 'integer', 'Mandatory' => 1,'MinValue' => 0, 'MaxValue' => 20}
    ]
};

Readonly our @KNOWN_ICONSETS_IN_DISPLAY_ORDER => qw(
    WireframeBlack
    WireframeWhite
    VistaIcons
    OrangeGlossy
    BusinessSymbols
    Christmas
    SimpleSymbols
    SimpleSymbolsAlt
    PixelDark
    PixelBlack
    PixelMix
    PixelWhite
);

1;
